Thosnow
Aerospace
- Feb 23, 2017
- 68
Hi All,
How can I create a new point on screen in an active CATPart with a VBA macro? I got to a point as seen below and am stuck.
'================================
Sub AddPoint(Comment As String, part1 As Part)
'//// Get annotation set
Dim annoSet1 As AnnotationSet
Set annoSet1 = part1.AnnotationSets.Item(part1.AnnotationSets.count)
Dim oAnnoFactory As AnnotationFactory
Set oAnnoFactory = annotationSet1.AnnotationFactory
Dim oHybridBody As HybridBody
Set oHybridBody = part1.HybridBodies.Item("Points")
Dim oHBsfactory As HybridShapeFactory
Set oHBsfactory = part1.HybridShapeFactory
End Sub
'=======================
Your help is much appreciated.
Quin
How can I create a new point on screen in an active CATPart with a VBA macro? I got to a point as seen below and am stuck.
'================================
Sub AddPoint(Comment As String, part1 As Part)
'//// Get annotation set
Dim annoSet1 As AnnotationSet
Set annoSet1 = part1.AnnotationSets.Item(part1.AnnotationSets.count)
Dim oAnnoFactory As AnnotationFactory
Set oAnnoFactory = annotationSet1.AnnotationFactory
Dim oHybridBody As HybridBody
Set oHybridBody = part1.HybridBodies.Item("Points")
Dim oHBsfactory As HybridShapeFactory
Set oHBsfactory = part1.HybridShapeFactory
End Sub
'=======================
Your help is much appreciated.
Quin